Bug 1296563 - KeePass : Auto-type does not work after search : The object was used after being disposed
KeePass : Auto-type does not work after search : The object was used after be...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
23
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Oliver
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 09:54 EST by Damien Gombault
Modified: 2016-12-20 12:40 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:40:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Gombault 2016-01-07 09:54:39 EST
Description of problem:

I have configured a global keyboard shortcut Ctlr+Alt+A (custom GNOME keyboard shortcut for 'keepass --auto-type' command) for KeePass Auto-Type feature.
I launch KeePass, then use my auto-type shortcut, everything works as expected.
After a few minutes (or something other else I don't know), the auto-type feature does not work anymore.
I get an error window from KeePass : The object was used after being disposed.

Version-Release number of selected component (if applicable):

I use GNOME Shell on Fedora 23 (system up to date).
keepass-2.30-4.fc23.x86_64
mono-core-4.0.5-3.fc23.x86_64
Comment 1 Damien Gombault 2016-01-07 10:05:38 EST
I have a way to reproduce the bug :
- Launch KeePass
- Use Edit → Find menu (or Ctrl+F)
- Search for something
- Results are displayed
- Use Auto-Type feature
- Error : The object was used after being disposed

This bug has been reported upstream :
http://sourceforge.net/p/keepass/bugs/1226/
But the bug was closed as a duplicate of bug :
http://sourceforge.net/p/keepass/bugs/1232/

I will notice the upstream that this bug is not fixed.
Comment 2 Damien Gombault 2016-01-07 10:44:03 EST
I have reported it upstream : https://sourceforge.net/p/keepass/bugs/1461/
Comment 3 Damien Gombault 2016-01-07 11:48:34 EST
Upstream said it's a Mono bug.
I reported it upstream : https://bugzilla.xamarin.com/show_bug.cgi?id=37480
Comment 4 Damien Gombault 2016-01-09 08:41:13 EST
KeePass is based on windows.forms, which is no longer supported in mono (said upstream).
This bug will not be fixed.
Comment 5 Timotheus Pokorra 2016-01-18 02:35:17 EST
If I understand correctly, there is no official support for Windows.Forms in Mono, but if you prepare a patch and submit it via Github request, it will usually be accepted by the Mono developers. We could also integrate that patch into the Mono Fedora packages.

The problem is that somebody needs to be interested enough and capable enough to actually fix the issue at hand.
Comment 6 Fedora End Of Life 2016-11-24 09:45:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 12:40:23 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.